· · · ·
Data Structures | Typedefs | Functions
plottable-curve.h File Reference

## Data Structures
class | QCPCurveData
| Holds the data of one single data point for QCPCurve. More...
class | QCPCurve
| A plottable representing a parametric curve in a plot. More...

## Typedefs
typedef QCPDataContainer< QCPCurveData > | QCPCurveDataContainer

## Functions
| Q_DECLARE_TYPEINFO (QCPCurveData, Q_PRIMITIVE_TYPE)

## Typedef Documentation

## § QCPCurveDataContainer

QCPCurveDataContainer

Container for storing QCPCurveData points. The data is stored sorted by t, so the sortKey() (returning t) is different from mainKey() (returning key).

This template instantiation is the container in which QCPCurve holds its data. For details about the generic container, see the documentation of the class template QCPDataContainer.

See also
  QCPCurveData, QCPCurve::setData